Skip to main content
`Ctrl`+`K`

# PetscInfoEnabled

Checks whether a given `PetscClassid` is allowed to print using `PetscInfo()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoEnabled(PetscClassId classid, PetscBool *enabled)

Not Collective

## Input Parameter

- classid - `PetscClassid` retrieved from a `PetscObject` e.g. `VEC_CLASSID`

## Output Parameter

- enabled - `PetscBool` indicating whether this classid is allowed to print

## Note

Use `PETSC_SMALLEST_CLASSID` to check if “sys” `PetscInfo()` calls are enabled. When PETSc is configured with debugging support this function checks if classid >= `PETSC_SMALLEST_CLASSID`, otherwise it assumes valid classid.

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoAllow()`, `PetscInfoGetInfo()`, `PetscObjectGetClassid()`

## Level

advanced

## Location

src/sys/info/verboseinfo.c

## Examples

src/mat/tutorials/ex7.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages